source: kde/core/polkit-qt.xml@ 3761d2f

10.0 10.1 11.0 7.10 7.7 7.8 7.9 8.0 8.1 8.2 8.3 8.4 9.0 9.1 basic bdubbs/svn elogind ken/refactor-virt krejzi/svn lazarus nosym perl-modules qt5new trunk upgradedb xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since 3761d2f was 3761d2f, checked in by Bruce Dubbs <bdubbs@…>, 7 years ago

Removed automoc4 dependency from Polkit-Qt and Phonon

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@14395 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 5.0 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY polkit-qt-download-http "&kde-download-http;apps/KDE4.x/admin/polkit-qt-1-&polkit-qt-version;.tar.bz2">
8 <!ENTITY polkit-qt-download-ftp "&kde-download-ftp;apps/KDE4.x/admin/polkit-qt-1-&polkit-qt-version;.tar.bz2">
9 <!ENTITY polkit-qt-md5sum "bee71b71c12797e6fc498540a06c829b">
10 <!ENTITY polkit-qt-size "68 KB">
11 <!ENTITY polkit-qt-buildsize "4.2 MB">
12 <!ENTITY polkit-qt-time "0.1 SBU">
13]>
14
15<sect1 id="polkit-qt" xreflabel="polkit-qt-&polkit-qt-version;">
16 <?dbhtml filename="polkit-qt.html"?>
17
18 <sect1info>
19 <othername>$LastChangedBy$</othername>
20 <date>$Date$</date>
21 </sect1info>
22
23 <title>Polkit-Qt-&polkit-qt-version;</title>
24
25 <indexterm zone="polkit-qt">
26 <primary sortas="a-polkit-qt">polkit-qt</primary>
27 </indexterm>
28
29 <sect2 role="package">
30 <title>Introduction to Polkit-Qt</title>
31
32 <para><application>Polkit-Qt</application> provides an API to
33 <application>polkit</application> in the Qt environment.</para>
34
35 &lfs76_checked;
36
37 <bridgehead renderas="sect3">Package Information</bridgehead>
38 <itemizedlist spacing="compact">
39 <listitem>
40 <para>Download (HTTP): <ulink url="&polkit-qt-download-http;"/></para>
41 </listitem>
42 <listitem>
43 <para>Download (FTP): <ulink url="&polkit-qt-download-ftp;"/></para>
44 </listitem>
45 <listitem>
46 <para>Download MD5 sum: &polkit-qt-md5sum;</para>
47 </listitem>
48 <listitem>
49 <para>Download size: &polkit-qt-size;</para>
50 </listitem>
51 <listitem>
52 <para>Estimated disk space required: &polkit-qt-buildsize;</para>
53 </listitem>
54 <listitem>
55 <para>Estimated build time: &polkit-qt-time;</para>
56 </listitem>
57 </itemizedlist>
58
59<!--
60 <bridgehead renderas="sect3">Additional Downloads</bridgehead>
61 <itemizedlist spacing='compact'>
62 <listitem>
63 <para>Required patch: <ulink
64 url="&patch-root;/polkit-qt-&polkit-qt-version;-fixes-1.patch"/></para>
65 </listitem>
66 </itemizedlist>
67-->
68 <bridgehead renderas="sect3">Polkit-Qt Dependencies</bridgehead>
69
70 <bridgehead renderas="sect4">Required</bridgehead>
71 <para role="required">
72 <!--<xref linkend="automoc4"/> and-->
73 <xref linkend="polkit"/>
74 </para>
75
76 <para condition="html" role="usernotes">User Notes:
77 <ulink url="&blfs-wiki;/polkit-qt"/></para>
78
79 </sect2>
80
81 <sect2 role="installation">
82 <title>Installation of Polkit-Qt</title>
83
84 <para>Install <application>Polkit-Qt</application> by running the following
85 commands:</para>
86
87<screen><userinput>mkdir build &amp;&amp;
88cd build &amp;&amp;
89
90cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
91 -DCMAKE_BUILD_TYPE=Release \
92 -DCMAKE_INSTALL_LIBDIR=lib \
93 -DUSE_QT4=TRUE \
94 -Wno-dev .. &amp;&amp;
95make</userinput></screen>
96
97 <para>
98 This package does not come with a test suite.
99 </para>
100
101 <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
102
103<screen role="root"><userinput>make install</userinput></screen>
104
105 </sect2>
106
107 <sect2 role="commands">
108 <title>Command Explanations</title>
109
110 <para>
111 <parameter>-DCMAKE_BUILD_TYPE=Release</parameter>: This switch is used
112 to apply higher level of the compiler optimizations.
113 </para>
114
115 <para>
116 <parameter>-DCMAKE_INSTALL_LIBDIR=lib</parameter>: This switch is
117 used to get libraries to install to <filename
118 class="directory">&kde-dir;/lib</filename> instead of <filename
119 class="directory">&kde-dir;/lib64</filename> on a 64 bit system.
120 </para>
121
122 <para>
123 <parameter>-DUSE_QT4=TRUE</parameter>: This switch is used to ensure
124 that <application>Qt4</application> version of the library is
125 built even if <application>Qt5</application> is present.
126 </para>
127
128 </sect2>
129
130 <sect2 role="content">
131 <title>Contents</title>
132
133 <segmentedlist>
134 <segtitle>Installed Programs</segtitle>
135 <segtitle>Installed Libraries</segtitle>
136 <segtitle>Installed Directories</segtitle>
137
138 <seglistitem>
139 <seg>none</seg>
140 <seg>libpolkit-qt-agent-1.so, libpolkit-qt-core-1.so and libpolkit-qt-gui-1.so</seg>
141 <seg>&kde-dir;/include/polkit-qt-1</seg>
142 </seglistitem>
143 </segmentedlist>
144<!--
145 <variablelist>
146 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
147 <?dbfo list-presentation="list"?>
148 <?dbhtml list-presentation="table"?>
149
150 <varlistentry id="a-polkit-qt">
151 <term><command>polkit-qt</command></term>
152 <listitem>
153 <para>is a testing utility for polkit-qt-generated build trees.</para>
154 <indexterm zone="a-polkit-qt polkit-qt">
155 <primary sortas="b-polkit-qt">polkit-qt</primary>
156 </indexterm>
157 </listitem>
158 </varlistentry>
159
160 </variablelist>
161-->
162 </sect2>
163
164</sect1>
Note: See TracBrowser for help on using the repository browser.